# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewString

Function

Creates a new String Object.

Syntax
`
#include <dx/dx.h>
`

String DXNewString(char *s)

Functional Details

The new String Object is initialized with a copy of the specified `NULL`-terminated string `s`.

The Object created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Object or returns `NULL` and sets an error code.

See Also

`DXGetString`

12.4 , "String Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]